GNU bug report logs - #32548
Cuirass: Performance monitoring

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: ludo@HIDDEN (Ludovic Courtès); dated Mon, 27 Aug 2018 22:34:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Aug 2018 22:33:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 27 18:33:42 2018
Received: from localhost ([127.0.0.1]:34546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fuQ4s-0002n9-Eq
	for submit <at> debbugs.gnu.org; Mon, 27 Aug 2018 18:33:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38205)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fuQ4q-0002mw-6H
 for submit <at> debbugs.gnu.org; Mon, 27 Aug 2018 18:33:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fuQ4k-0008LF-6r
 for submit <at> debbugs.gnu.org; Mon, 27 Aug 2018 18:33:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45524)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ludo@HIDDEN>) id 1fuQ4k-0008L1-3E
 for submit <at> debbugs.gnu.org; Mon, 27 Aug 2018 18:33:34 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59174)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fuQ4j-00061W-AB
 for bug-guix@HIDDEN; Mon, 27 Aug 2018 18:33:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fuQ4i-0008Hz-NP
 for bug-guix@HIDDEN; Mon, 27 Aug 2018 18:33:33 -0400
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54985)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fuQ4i-0008HN-IZ
 for bug-guix@HIDDEN; Mon, 27 Aug 2018 18:33:32 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=36998 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>) id 1fuQ4i-0003HQ-A6
 for bug-guix@HIDDEN; Mon, 27 Aug 2018 18:33:32 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: bug-guix@HIDDEN
Subject: Cuirass: Performance monitoring
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 11 Fructidor an 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 28 Aug 2018 00:33:30 +0200
Message-ID: <87pny3783p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

As discussed earlier today on IRC with Cl=C3=A9ment, we could add performan=
ce
monitoring capabilities to Cuirass.  Interesting metrics would be:

  =E2=80=A2 time of push to time of evaluation completion;

  =E2=80=A2 time of evaluation completion to time of build completion.

We could visualize that per job over time.  Perhaps these are also stats
that =E2=80=98guix weather=E2=80=99 could display.

Ludo=E2=80=99.




Acknowledgement sent to ludo@HIDDEN (Ludovic Courtès):
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#32548; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 27 Aug 2018 22:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.